%define		shortname cr

Summary:	Free e-book reader
Name:		coolreader3
Version:	3.0.56
Release:	%mkrel 7
License:	GPLv2+
Group:		Office/Utilities
Url:		http://www.coolreader.org
Source0:	%{shortname}3_%{version}.orig.tar.gz
#https://sourceforge.net/p/crengine/patches/29
Patch0:		%{name}-%{version}-mga-freetype2.patch
#https://sourceforge.net/p/crengine/patches/31
Patch1:		%{name}-%{version}-mga-desktop-files.patch
#https://sourceforge.net/p/crengine/bugs/179
Patch2:		%{name}-%{version}-save-settings.patch
BuildRequires:	cmake
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(Qt3Support)
BuildRequires:	pkgconfig(zlib)

%description
CoolReader is fast and small cross-platform XML/CSS based E-Book reader
for desktops and handheld devices. Supported formats: FB2, TXT, RTF, DOC,
TCR, HTML, EPUB, CHM, PDB, MOBI. Platforms: Win32, Linux, Android. Ported
on some eInk based devices.

%prep
%setup -q -n %{shortname}%{version}-7
%autopatch -p1

%build
%cmake \
	-DGUI=QT \
	-DMAX_IMAGE_SCALE_MUL=2 \
	-DDOC_DATA_COMPRESSION_LEVEL=3 \
	-DDOC_BUFFER_SIZE=0x1400000 \
	-DCMAKE_BUILD_TYPE=Release
%make

%install
%makeinstall_std -C build

%files
%{_bindir}/%{shortname}3
%{_datadir}/%{shortname}3/*.css
%{_datadir}/%{shortname}3/i18n/*.qm
%{_datadir}/%{shortname}3/hyph/*.pdb
%{_datadir}/%{shortname}3/hyph/*.pattern
%{_datadir}/%{shortname}3/textures/*.jpg
%{_datadir}/%{shortname}3/backgrounds/*.jpg
%{_datadir}/pixmaps/%{shortname}3.*
%{_datadir}/applications/%{shortname}3.desktop
%{_datadir}/doc/%{shortname}3/*
%{_mandir}/man1/%{shortname}3.*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 3.0.56-7.mga6
+ Revision: 972456
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 3.0.56-6.mga6
+ Revision: 897967
- fix build with freetype 2.6+

* Mon Jun 29 2015 alexl <alexl> 3.0.56-5.mga6
+ Revision: 848240
- fix save settings bug

* Tue Jan 06 2015 alexl <alexl> 3.0.56-4.mga5
+ Revision: 808771
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 3.0.56-3.mga5
+ Revision: 740008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.56-2.mga5
+ Revision: 678538
- Mageia 5 Mass Rebuild

* Tue May 27 2014 alexl <alexl> 3.0.56-1.mga5
+ Revision: 627018
- add freetype2.patch
- imported package coolreader3

